apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: dummy-server
spec:
  behavior:
    scaleDown:
      stabilizationWindowSeconds: 20
  maxReplicas: 10
  metrics:
  - type: Object
    object:
      metric:
        name: predicted_requests_per_second_via_ingress
      describedObject:
        apiVersion: v1
        kind: Service
        name: dummyserver
      target:
        type: AverageValue
        averageValue: 10
  minReplicas: 1
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: dummyserver